  - type: sections
    max_columns: 2
    path: cams
    icon: mdi:cctv
    sections:
      - type: grid
        cards:
          - type: custom:advanced-camera-card
            cameras:
              - camera_entity: camera.meow_cam_2_mainstream_3
                live_provider: auto
                title: 'FoxxyCam #2'
                icon: mdi:eye
                image:
                  mode: camera
                  refresh_seconds: 10
                triggers:
                  motion: true
                cast:
                  method: standard
                id: '2'
              - camera_entity: camera.meow_cam_1_mainstream
                live_provider: auto
                title: 'FoxxyCam #1'
                icon: mdi:eye
                id: '1'
                image:
                  mode: camera
                  refresh_seconds: 10
                triggers:
                  motion: true
                cast:
                  method: standard
            view:
              default: live
              camera_select: live
              triggers:
                show_trigger_status: true
            menu:
              buttons:
                recordings:
                  enabled: true
                image:
                  enabled: true
                expand:
                  enabled: true
                microphone:
                  enabled: false
                  priority: 98
                play:
                  enabled: true
                mute:
                  enabled: false
                screenshot:
                  enabled: true
                ptz_controls:
                  enabled: false
                toggle_nightvision:
                  enabled: true
                  title: Nightvision Toggle
                  icon: mdi:weather-night
                  tap_action:
                    action: perform-action
                    data:
                      entity_id: select.meow_cam_2_night_vision
                    perform_action: select.select_next
                ptz_home:
                  enabled: false
              style: overlay
              position: top
            status_bar:
              style: overlay
            live:
              display:
                mode: grid
                grid_selected_position: first
              controls:
                next_previous:
                  style: chevrons
                thumbnails:
                  mode: below
                  media_type: events
                  events_media_type: snapshots
                timeline:
                  mode: above
                  style: ribbon
                  pan_mode: seek-in-camera
            media_gallery:
              controls:
                thumbnails:
                  size: 140
                filter:
                  mode: left
            media_viewer:
              auto_play:
                - selected
              auto_pause:
                - unselected
                - hidden
              auto_mute:
                - hidden
              transition_effect: slide
              display:
                mode: grid
              controls:
                thumbnails:
                  mode: below
                timeline:
                  mode: above
                  style: stack
            image:
              mode: camera
            timeline:
              style: ribbon
              events_media_type: all
              controls:
                thumbnails:
                  mode: below
            dimensions:
              aspect_ratio_mode: dynamic
          - type: custom:bubble-card
            card_type: button
            name: Scenes
            button_type: name
            card_layout: large
            styles: |-
              .bubble-name {
                color: var(--white-color) !important;
                opacity: 1 !important;                  
              }

              .bubble-button-background {
                background-color: var(--card-background-color) !important;
                opacity: 0 !important;                  
              }
                          .bubble-sub-button-icon {
                            --mdc-icon-size: inherit !important;
                          }
                          .bubble-name-container {
                            margin-right: 0px !important;
                          }
                          .bubble-sub-button-container {
                            width: 100%;
                            margin: -6px !important;
                            justify-content: space-evenly !important;
                          }  
                          .bubble-sub-button {
                           # height: 42px !important;
                            width: 33.33% !important;
                            background: var(--card-background-color) !important;
                          }   
                          .card-content {
                            width: 100%;
                            margin: 0 !important;
                          }
              .bubble-sub-button-icon {  
                --mdc-icon-size: 24px !important;
              }        
              .bubble-sub-button-1{
                  background-color: ${hass.states['input_boolean.scene_minimal'].state==='on' ? 'var(--primary-color)' : ''} !important;
              }                 
              .bubble-sub-button-2{
                  background-color: ${hass.states['input_boolean.scene_musicfx'].state==='on' ? 'var(--primary-color)' : ''} !important;
              } 
              .bubble-sub-button-3{
                 background-color: ${hass.states['input_boolean.scene_uv_only'].state==='on' ? 'var(--primary-color)' : ''} !important;
              }   
              .bubble-sub-button-4{
                 background-color: ${hass.states['input_boolean.scene_tv_bar'].state==='on' ? 'var(--primary-color)' : ''} !important;
              }
              .bubble-sub-button-5{
                 background-color: var(--deep-orange-color) !important;
              } 
            show_name: false
            icon: mdi:auto-fix
            sub_button:
              - tap_action:
                  action: call-service
                  service: script.state_restore
                  data:
                    sensor: sensor.scene_default_2
                  target: {}
                entity: select.meow_cam_2_night_vision_switching
                show_last_changed: false
                show_state: true
                show_name: false
                name: Night Vision
              - show_state: true
                entity: switch.meow_cam_2_microphone_mute
                show_name: false
                name: Mic. Mute
                tap_action:
                  action: toggle
              - entity: switch.meow_cam_2_flip
                show_state: true
                show_name: false
                name: Flip
                tap_action:
                  action: toggle
            tap_action:
              action: call-service
              service: script.state_restore
              data:
                sensor: sensor.scene_default_2
              target: {}
            show_icon: false
